Subject: Re: Emacs OS X GUI doesn't set locale

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Feb 2016 20:57:37 +0200

> Date: Mon, 1 Feb 2016 06:03:30 +0100
> From: Anders Lindgren <[email-masked]>
> Cc: Paul Eggert <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked], 
> 	emacs-devel <[email-masked]>
> 
> Today, I tested this patch on OS X and GNUstep. From what I can see, it applies cleanly and work as
> intended.
> 
> As the LANG variable is set early in the initialisation process, it will be propagated to `process-environment'
> and thus set for all processes started by Emacs.
> 
> I suggest that we apply this patch, so that it will be included in the next Emacs 25 pretest.

I won't argue with that any more, but I must say that I'm uneasy with
this change.  I'd be much happier if we could push LANG into Emacs's
own environment without affecting process-environment.

Paul argued that we already do something similar on MS-Windows, which
is true, but native Windows programs don't look at LANG unless
specifically made to do so in application code, so that setting is
unlikely to affect many programs on Windows.  By contrast, OS X is
(AFAIK) a BSD-ish system, so I expect much more programs to change
their behavior when LANG is set to something that suits Emacs, but is
not necessarily "right" for the rest of the system.

That's all I have to say; if you are still OK with doing that, please
go ahead.

Thanks.